Loading...
Searching...
No Matches
BALL::QSAR::RegistryEntry Class Reference

`#include <BALL/QSAR/registry.h>`

## Public Member Functions

| RegistryEntry (bool k, bool r, String n, String ab, CreateMethod c0)
| RegistryEntry (bool k, bool r, String n, String ab, CreateKernel1 c1, CreateKernel2 c2)
| RegistryEntry (const RegistryEntry &entry)
| ~RegistryEntry ()
const std::map< unsigned int, String > * | getStatistics ()
String | getStatName (int s)
Registry * | getRegistry ()

## Public Attributes

bool | kernel
bool | regression
bool | latent_variables
std::multiset< int > | optimizableParameters
String | name
String | name_abreviation
CreateMethod | create
CreateKernel1 | createKernel1
CreateKernel2 | createKernel2
vector< String > | parameterNames
vector< double > | parameterDefaults

## Friends

class | Registry

## Detailed Description

Definition at line 26 of file registry.h.

## Constructor & Destructor Documentation

## RegistryEntry() [1/3]

BALL::QSAR::RegistryEntry::RegistryEntry | ( | bool | k,
|  | bool | r,
|  | String | n,
|  | String | ab,
|  | CreateMethod | c0 )

Constructor for a RegistryEntry for a linear model.

Parameters

  ID | unique identifier for the model
  n | the name of the model
  ab | unique abbreviation of the model-name

## RegistryEntry() [2/3]

BALL::QSAR::RegistryEntry::RegistryEntry | ( | bool | k,
|  | bool | r,
|  | String | n,
|  | String | ab,
|  | CreateKernel1 | c1,
|  | CreateKernel2 | c2 )

Constructor for a RegistryEntry for a non-linear model.

Parameters

  ID | unique identifier for the model
  n | the name of the model
  ab | unique abbreviation of the model-name

## RegistryEntry() [3/3]

BALL::QSAR::RegistryEntry::RegistryEntry | ( | const RegistryEntry & | entry | ) |

## ~RegistryEntry()

BALL::QSAR::RegistryEntry::~RegistryEntry | ( |  | ) |

## Member Function Documentation

## getRegistry()

Registry * BALL::QSAR::RegistryEntry::getRegistry | ( |  | ) |

## getStatistics()

const std::map< unsigned int, String > * BALL::QSAR::RegistryEntry::getStatistics | ( |  | ) |

## getStatName()

String BALL::QSAR::RegistryEntry::getStatName | ( | int | s | ) |

## Friends And Related Symbol Documentation

## Registry

friend class Registry

friend

Definition at line 66 of file registry.h.

## Member Data Documentation

## create

CreateMethod BALL::QSAR::RegistryEntry::create

Definition at line 56 of file registry.h.

## createKernel1

CreateKernel1 BALL::QSAR::RegistryEntry::createKernel1

Definition at line 57 of file registry.h.

## createKernel2

CreateKernel2 BALL::QSAR::RegistryEntry::createKernel2

Definition at line 58 of file registry.h.

## kernel

bool BALL::QSAR::RegistryEntry::kernel

Definition at line 49 of file registry.h.

## latent_variables

bool BALL::QSAR::RegistryEntry::latent_variables

Definition at line 51 of file registry.h.

## name

String BALL::QSAR::RegistryEntry::name

Definition at line 54 of file registry.h.

## name_abreviation

String BALL::QSAR::RegistryEntry::name_abreviation

Definition at line 55 of file registry.h.

## optimizableParameters

std::multiset<int> BALL::QSAR::RegistryEntry::optimizableParameters

Definition at line 52 of file registry.h.

## parameterDefaults

vector<double> BALL::QSAR::RegistryEntry::parameterDefaults

Definition at line 60 of file registry.h.

## parameterNames

vector<String> BALL::QSAR::RegistryEntry::parameterNames

Definition at line 59 of file registry.h.

## regression

bool BALL::QSAR::RegistryEntry::regression

Definition at line 50 of file registry.h.